package com.yc.ship.module.resource.enums;

import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.Getter;

import java.util.Arrays;


@Getter
public enum ProjectTypeEnum implements IntArrayValuable {

    PROJECT(0, "项目"),
    CUSTOM(1, "自定义规格"),
    DEFAULT(2, "默认规格");

    private final String name;
    private final Integer value;
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(ProjectTypeEnum::getValue).toArray();

    public int[] array() {
        return ARRAYS;
    }

    ProjectTypeEnum(Integer status, String name) {
        this.value = status;
        this.name = name;
    }
}